SINCOS(3)

NAME
sincos, sincosf, sincosl - calculate sin and cos simultaneously

SYNOPSIS
#define _GNU_SOURCE
#include <math.h>

void sincos(double x, double *sin, double *cos);
void sincosf(float x, float *sin, float *cos);
void sincosl(long double x, long double *sin, long double *cos);

Link with -lm.

DESCRIPTION
Several applications need sine and cosine of the same angle x. This function computes both at the same time, and stores the results via the given pointers.

CONFORMING TO
This function is a GNU extension.

SEE ALSO
cos(3), sin(3), tan(3), feature_test_macros(7)

COLOPHON
This page is part of release 2.79 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.